fprintf('setting rtccode paths...\n')
vv=ver('matlab');

assert(strcmp(vv.Version,'9.6'),'this matlab version is not supported for SCDDS')


if exist('/home/matlab/crpptbx-9.6.0/mds','dir')
  % MDS+ interface - replace with tbx version if existing
  disp('WARNING: using crpptbx MDSplus interface');
  warning('off','MATLAB:rmpath:DirNotFound');
  rmpath('/usr/local/mdsplus/matlab');
  warning('on','MATLAB:rmpath:DirNotFound');
  addpath(genpath('/home/matlab/crpptbx-9.6.0/mds'));
  %addpath(genpath('/usr/local/mdsplus/matlab.original'));
end

% CRPP TBX removals
warning('off','MATLAB:rmpath:DirNotFound');
rmpath(genpath('/home/matlab/crpptbx-9.6.0/genlib'));
rmpath(genpath('/home/matlab/crpptbx-9.6.0/meq'));
rmpath(genpath('/home/matlab/crpptbx-9.6.0/GUIprofs'));
warning('on','MATLAB:rmpath:DirNotFound');

% Simulink models folders
scdds_core_folder = fileparts(mfilename('fullpath')); % folder containing this script

% Core paths
addpath(genpath(fullfile(scdds_core_folder,'classes')));
addpath(genpath(fullfile(scdds_core_folder,'functions')));
addpath(genpath(fullfile(scdds_core_folder,'configurations')));

% set code generation and cache file location
fprintf('setting Simulink Cache and CodeGen folders for SCDDS\n')
CacheFolder = fullfile(fileparts(mfilename('fullpath')),'gencodes','CacheFolder');
CodeGenFolder = fullfile(fileparts(mfilename('fullpath')),'gencodes','CodeGenFolder');

Simulink.fileGenControl('set',...
  'CacheFolder',CacheFolder,...
  'CodeGenFolder',CodeGenFolder,...
  'createdir',true);

% Turn off warning backtraces
warning('off','backtrace')

clear vv
